%global git_date  20230112
%global git_hash  eff0ac0
%global git_ver  3.11.51

%global rel  2
%global src_name  %{name}-%{git_date}-%{git_hash}.tar.xz

Name: gamescope
Version:  %{git_ver}.%{git_date}
Release:  %{rel}.%{git_hash}%{?dist}
Source:   %{src_name}
Patch1:   gamescope-meson-build-liftoff.patch

Summary:        Micro-compositor for video games on Wayland

License:        BSD-2-Clause
URL:            https://github.com/Plagman/gamescope
# Create stb.pc to satisfy dependency('stb')
Source1:        stb.pc

BuildRequires:  make cmake
BuildRequires:  meson >= 0.54.0
BuildRequires:  ninja-build
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xdamage)
BuildRequires:  pkgconfig(xcomposite)
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xxf86vm)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(xres)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(vulkan)
BuildRequires:  pkgconfig(wayland-scanner)
BuildRequires:  pkgconfig(wayland-server)
BuildRequires:  pkgconfig(wayland-protocols) >= 1.17
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(libpipewire-0.3)
BuildRequires:  wlroots0.16-devel
BuildRequires:  pkgconfig(libliftoff)
BuildRequires:  pkgconfig(libcap)
BuildRequires:  stb_image-devel
BuildRequires:  stb_image_write-devel
BuildRequires:  /usr/bin/glslangValidator
BuildRequires:  pkgconfig(hwdata)
BuildRequires:  pkgconfig(vkroots)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(pixman-1)
BuildRequires:  pkgconfig(xmu)
#For subproject wlroots
#BuildRequires:  pkgconfig(libinput)
#BuildRequires:  pkgconfig(libseat)
#BuildRequires:  pkgconfig(xwayland)


# libliftoff hasn't bumped soname, but API/ABI has changed for 0.2.0 release
Requires:	libliftoff >= 0.3.0
Requires:       xorg-x11-server-Xwayland
Requires:	gamescope-libs = %{version}-%{release}
Recommends:     mesa-dri-drivers
Recommends:     mesa-vulkan-drivers

%description
%{name} is the micro-compositor optimized for running video games on Wayland.


%package libs
Summary:	libs for %{name}
%description libs
%summary


%prep
%autosetup -p1 -n %{name}
# Install stub pkgconfig file
mkdir -p pkgconfig
cp %{SOURCE1} pkgconfig/stb.pc


%build
export PKG_CONFIG_PATH=pkgconfig
%meson -Denable_openvr_support=false -Dpipewire=enabled -Dforce_fallback_for=[]
%meson_build


%install
%meson_install --skip-subprojects


%files
%license LICENSE
%doc README.md
%{_bindir}/gamescope

%files libs
%{_libdir}/*.so
%{_datadir}/vulkan/implicit_layer.d/*

%changelog
%autochangelog
